## aiowatttime 2024.6.0

=== .github/workflows/requirements.txt ===
poetry==1.8.3

=== debian/changelog ===
aiowatttime (2024.6.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Fri, 15 Nov 2024 09:37:38 +0100

aiowatttime (2024.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1077659)

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 22:36:55 +0900

=== debian/control ===
Source: aiowatttime
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-aresponses <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-requests <!nocheck>,
 python3-yarl <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/bachya/aiowatttime
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/aiowatttime
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/aiowatttime.git

Package: python3-aiowatttime
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Asyncio-based library for obtaining real-time emissions data from WattTime
 This library allows users to fetch real-time emissions data based on
 geographical coordinates. It provides functionality to interact with the
 WattTime API, enabling the retrieval of real-time, forecasted, and historical
 emissions data. Users can obtain grid region information, marginal operating
 emissions rates, and relative marginal emissions intensity. The library also
 includes built-in retry logic for handling expired access tokens, ensuring
 reliable data access from WattTime. Various configuration options are
 available to customize the logging and API request behaviors.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=aiowatttime
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--no-cov

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf aiowatttime.egg-info/

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-aresponses,
 python3-pytest,
 python3-pytest-asyncio,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/aiowatttime-$1\.tar\.gz/ \
  https://github.com/bachya/aiowatttime/tags .*/v?(\d\S+)\.tar\.gz
